Subject: [tsvwg] L4S drafts & implementation status

From: "Black, David" <[email-masked]>
Date: Tue, 8 Feb 2022 17:59:55 +0000

Sebastian,
[Changed subject line]

> I would at least expect that the claims in the drafts are sufficiently toned down to reflect what the existing implementation actually delivers, and make it clear that anything above that is extrapolation and/or hope.

Could you please provide a detailed "just the facts" list of places in the text where the existing implementation visibly differs from text in the current drafts with a short explanation of the difference?  Please resist the temptation to add opinionated comments.

Thanks, --David

-----Original Message-----
From: Sebastian Moeller <[email-masked]> 
Sent: Tuesday, February 8, 2022 10:30 AM
To: [email-masked]
Cc: [email-masked]
Subject: Re: [tsvwg] L4S: AQM Algorithm Choice Issues (2)

[EXTERNAL EMAIL] 

Dear chairs,

I would at least expect that the claims in the drafts are sufficiently toned down to reflect what the existing implementation actually delivers, and make it clear that anything above that is extrapolation and/or hope.
	ATM, what the drafts claim and what the existing implementation offers differ by a noticeable margin, if fixing the implementation before publishing the claims is ruled out (as it appears to be the case), then how about making sure the drafts do only promise what we know today to be reliably deliverable instead? It seems benign if future research shows that the drafts' claims and promises can be exceeded by better designs, but IMHO considerably less so if it turns out that current implementation is as good as it gets but the RFCs end up over-promising.

Sebastian Moeller

> On Feb 5, 2022, at 01:22, Stuart Cheshire <cheshire=[email-masked]> wrote:
> 
> On 1 Feb 2022, at 07:15, Black, David <[email-masked]> wrote:
> 
>> The WG chairs believe that the appropriate path forward for these two concerns is design, modification and experimentation with different AQM algorithms in the DualQ Coupled structure, e.g., a DualQ Coupled AQM based on CoDel, and hence the chairs believe that these concerns are not reasons to avoid experimentation with DualQ Coupled AQMs, e.g., the Dual Q Coupled PI2 and Curvy RED algorithms described in Appendixes A & B of draft-ietf-tsvwg-aqm-dualq-coupled.  Publishing the aqm-dualq-coupled draft as an Experimental RFC supports AQM design, modification and experimentation, making these concerns are suitable for resolution via experimentation, so they are not blocking issues for Experimental RFC publication of the aqm-dualq-coupled draft.
>> 
>> Thanks, --David, Wes & Gorry
>> TSVWG WG chairs
> 
> I agree.
> 
> We should not delay RFC publication of the existing L4S drafts.
> 
> The drafts we have now are in good shape to publish, and doing that does not mean they are the final word on this topic. I hope and expect that we will have a decade of continued refinement in this area as we learn from experience and make futher improvements.
> 
> Stuart Cheshire
>